<?php
/**
 * Plugin plxMyPager
 * @author	Stephane F
 **/
class plxMyPager extends plxPlugin {

	/**
	 * Constructeur de la classe
	 *
	 * @param	default_lang	langue par défaut
	 * @return	stdio
	 * @author	Stephane F
	 **/
	public function __construct($default_lang) {

        # appel du constructeur de la classe plxPlugin (obligatoire)
        parent::__construct($default_lang);

		# droits pour accèder à la page config.php du plugin
		$this->setConfigProfil(PROFIL_ADMIN);

        # déclaration des hooks
        $this->addHook('plxShowPagination', 'plxShowPagination');

	}

	/**
	 * Méthode de traitement du hook plxShowPagination
	 *
	 * @return	stdio
	 * @author	Stephane F
	 **/
    public function plxShowPagination() {

		$string = '

		$nbpage = ceil($plxGlob_arts->count/$this->plxMotor->bypage);

		if($arg_url!="")
			$arg_url = trim($arg_url, "/")."/";

		$stop = $this->plxMotor->page + 2;
		if($stop<5) $stop=5;
		if($stop>$nbpage) $stop=$nbpage;

		$start = $stop - 4;
		if($start<1) $start=1;

		$plxPlugin = $this->plxMotor->plxPlugins->getInstance("plxMyPager");

		if($plxPlugin->getParam("elmt0"))
			echo "<span class=\"p_page\" style=\"margin-right:30px; background-color:#B5403E;color:#FFF;\">Page ".$this->plxMotor->page." sur ".$nbpage."</span>";

		if($plxPlugin->getParam("elmt1") AND $this->plxMotor->page>2)
			echo "<span class=\"p_first\" style=\"margin-left:10px;margin-right:10px;\"><a href=\"".$f_url."\" title=\"".L_PAGINATION_FIRST_TITLE."\">".L_PAGINATION_FIRST."</a></span>";

		if($plxPlugin->getParam("elmt2") AND $this->plxMotor->page>1)
			echo "<span class=\"p_prev\"><a href=\"".$p_url."\" title=\"".L_PAGINATION_PREVIOUS_TITLE."\">".L_PAGINATION_PREVIOUS."</a></span>";

		if($plxPlugin->getParam("elmt3") AND $start>1)
			echo "<span class=\"p_page\">...</span>";

		for($i=$start;$i<=$stop;$i++) {
			$url = $this->plxMotor->urlRewrite("?".$arg_url."page".$i);
			$url = str_replace("index.php?page1", "",$url);
			$url = str_replace("page1", "",$url);
			if($i==$this->plxMotor->page)
				echo "<span class=\"p_current\" style=\"margin-left:10px;margin-right:10px;font-weight:bold;text-decoration:underline;border:1px solid;\">".$i."</span>";
			else
				echo "<span class=\"p_page\"><a href=\"".$url."\" title=\"".$i."\">".$i."</a></span>";
		}

		if($plxPlugin->getParam("elmt3") AND ($this->plxMotor->page+2)<$nbpage AND $stop<$nbpage)
			echo "<span class=\"p_page\">...</span>";

		if($plxPlugin->getParam("elmt4") AND $this->plxMotor->page<$nbpage)
			echo "<span class=\"p_next\"><a href=\"".$n_url."\" title=\"".L_PAGINATION_NEXT_TITLE."\">".L_PAGINATION_NEXT."</a></span>";

		if($plxPlugin->getParam("elmt5") AND ($this->plxMotor->page<($nbpage-1)))
			echo "<span class=\"p_last\" style=\"margin-left:10px;margin-right:10px;\"><a href=\"".$l_url."\" title=\"".L_PAGINATION_LAST_TITLE."\">".L_PAGINATION_LAST."</a></span>";

		return true;
		';
		echo "<?php ".$string." ?>";

    }

}
?>
